
Foreman - Feature #33156

Cleanup methods after registration is done

07/27/2021 02:08 PM - Leos Stejskal

Status: New   

Priority: Normal   

Assignee:    

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We should have two cleanup/rollback functions when registration process is done.

Cleanup function for successful result

Rollback function for case when registration failed

What should be done:

Cleanup of certificates

Load .bak conf files

Links:

https://github.com/theforeman/foreman/pull/8563#discussion_r674953455

Related issues:

Related to Foreman - Feature #32678: Move katello_ca_consumer to registration... Closed

History

#1 - 07/27/2021 02:10 PM - Leos Stejskal

- Related to Feature #32678: Move katello_ca_consumer to registration template added

#2 - 08/09/2021 01:16 PM - Leos Stejskal

- Triaged changed from No to Yes
